POST
/holdCreate a hold
Reserve funds in an account without moving them. Lowers available balance until captured or released.
Required Attributes
amountintegerrequired
Amount to reserve, minor units
Example: 5000
entity_idstringrequired
Account to reserve funds in
Example: "ent_customer"
expires_atstring
ISO 8601 auto-release time
descriptionstring
Statement description
Example: "Card auth"
Request
POST/hold
curl --location 'https://api.ledgr.dev/v1/hold' \
--header 'Authorization: {api_key}' \
--header 'Content-Type: application/json' \
--data '{
"amount": 5000,
"entity_id": "ent_customer",
"expires_at": "example_expires_at",
"description": "Card auth"
}'Response
The created hold
{
"hold": {
"amount": 5000,
"status": "held",
"hold_id": "hold_f11bc3c",
"entity_id": "ent_customer",
"captured_amount": 0
},
"status": "success"
}